Bug 164326 - [MAINTAINER] www/node: update to 0.6.8
[MAINTAINER] www/node: update to 0.6.8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Frederic Culot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-20 07:00 UTC by linpct
Modified: 2012-01-24 14:30 UTC (History)
0 users

See Also:


Attachments
node-0.6.8.patch (3.10 KB, patch)
2012-01-20 07:00 UTC, linpct
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2012-01-20 07:00:23 UTC
- Update to 0.6.8

Generated with FreeBSD Port Tools 0.99
Comment 1 Frederic Culot freebsd_committer 2012-01-20 07:51:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 2 Frederic Culot freebsd_committer 2012-01-20 11:39:58 UTC
Hi Jin-Sih,

thanks for submitting this update.
However I have a small issue on 10-CURRENT as shown on the following tinderbox
log:

http://redports.org/~culot/20120120085305-20808-6542/node-0.6.8.log

Indeed, a node_modules/npm/configure.fbsd10bak seems to be created (which is not
on other FreeBSD versions) and is not cleaned up after deinstall. I had a look
at vendor's source code but did not manage to understand when this file was
created and why it was only needed for FreeBSD 10.

Could you please have a look at this issue as you are certainly more
knowledgeable than I am with the node port.

Many thanks!
Frederic
Comment 3 Frederic Culot freebsd_committer 2012-01-20 12:41:11 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 Frederic Culot freebsd_committer 2012-01-24 10:40:33 UTC
Hi Daniel,

you are right the extra file does not come from vendor but from a patch that was
applied to our ports infrastructure and which I somehow overlooked :'(
This patch is a workaround for autotools around an issue where FreeBSD 10.0 is
detected as FreeBSD 1.x. This is not needed in our case (the considered
configure script is not related to autotools) and we should use the
WITHOUT_FBSD10_FIX flag. However, instead of declaring it globally in
/etc/make.conf as you suggest I propose we define it in the port's Makefile.

Hence I propose the following patch:

http://people.freebsd.org/~culot/files/node.patch

which makes node build fine on all versions as shown by tinderbox logs:

https://redports.org/~culot/20120123192557-27297-7249/node-0.6.8.log
https://redports.org/~culot/20120123192557-27297-7251/node-0.6.8.log
https://redports.org/~culot/20120123192557-27297-7250/node-0.6.8.log

If you are ok with this patch then I will commit it.

Cheers,
Frederic

PS: Do not forget to put bug-followup@FreeBSD.org in copy of your replies to PRs
so that we could keep track of your contributions in GNATS.

----- Forwarded message from Daniel Lin <linpct@gmail.com> -----

Date: Fri, 20 Jan 2012 23:57:01 +0800
From: Daniel Lin <linpct@gmail.com>
To: culot@freebsd.org
Subject: Re: ports/164326: [MAINTAINER] www/node: update to 0.6.8
X-Bogosity: Ham, tests=bogofilter, spamicity=0.000000, version=1.2.2

   Hello, 
       FreeBSD 10 will create node_modules/npm/configure.fbsd10bak but if add
   `WITHOUT_FBSD10_FIX=yes` to /etc/make.conf will wont create this file.
       I did not know how the FreeBSD 10 porting rule but I don't think its a
   needed file.
       You could try it on older version of freebsd, or I must send-pr with a
   stable-version of freebsd?
       Thanks.
   2012/1/20 <culot@freebsd.org>

     Synopsis: [MAINTAINER] www/node: update to 0.6.8

     State-Changed-From-To: open->feedback
     State-Changed-By: culot
     State-Changed-When: Fri Jan 20 12:41:11 UTC 2012
     State-Changed-Why:
     Ask for submitter fix.

     http://www.freebsd.org/cgi/query-pr.cgi?pr=164326

   --
   Daniel Lin (pct)

----- End forwarded message -----
Comment 5 linpct 2012-01-24 13:52:05 UTC
yes, I agree with this patch with extra define, I will follow it next time.

Thanks for your help!

Frederic Culot <culot@freebsd.org> ©ó 2012¦~1¤ë24¤é¬P´Á¤G¼g¹D¡G
> Hi Daniel,
>
> you are right the extra file does not come from vendor but from a patch

that was
> applied to our ports infrastructure and which I somehow overlooked :'(
> This patch is a workaround for autotools around an issue where FreeBSD

10.0 is
> detected as FreeBSD 1.x. This is not needed in our case (the considered
> configure script is not related to autotools) and we should use the
> WITHOUT_FBSD10_FIX flag. However, instead of declaring it globally in
> /etc/make.conf as you suggest I propose we define it in the port's

Makefile.
>
> Hence I propose the following patch:
>
> http://people.freebsd.org/~culot/files/node.patch
>
> which makes node build fine on all versions as shown by tinderbox logs:
>
> https://redports.org/~culot/20120123192557-27297-7249/node-0.6.8.log
> https://redports.org/~culot/20120123192557-27297-7251/node-0.6.8.log
> https://redports.org/~culot/20120123192557-27297-7250/node-0.6.8.log
>
> If you are ok with this patch then I will commit it.
>
> Cheers,
> Frederic
>
> PS: Do not forget to put bug-followup@FreeBSD.org in copy of your replies

to PRs
> so that we could keep track of your contributions in GNATS.
>
> ----- Forwarded message from Daniel Lin <linpct@gmail.com> -----
>
> Date: Fri, 20 Jan 2012 23:57:01 +0800
> From: Daniel Lin <linpct@gmail.com>
> To: culot@freebsd.org
> Subject: Re: ports/164326: [MAINTAINER] www/node: update to 0.6.8
> X-Bogosity: Ham, tests=bogofilter, spamicity=0.000000, version=1.2.2
>
>   Hello,
>       FreeBSD 10 will create node_modules/npm/configure.fbsd10bak but if

add
>   `WITHOUT_FBSD10_FIX=yes` to /etc/make.conf will wont create this file.
>       I did not know how the FreeBSD 10 porting rule but I don't think

its a
>   needed file.
>       You could try it on older version of freebsd, or I must send-pr

with a
>   stable-version of freebsd?
>       Thanks.
>   2012/1/20 <culot@freebsd.org>
>
>     Synopsis: [MAINTAINER] www/node: update to 0.6.8
>
>     State-Changed-From-To: open->feedback
>     State-Changed-By: culot
>     State-Changed-When: Fri Jan 20 12:41:11 UTC 2012
>     State-Changed-Why:
>     Ask for submitter fix.
>
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=164326
>
>   --
>   Daniel Lin (pct)
>
> ----- End forwarded message -----
>


-- 
Daniel Lin (pct)
Comment 6 dfilter freebsd_committer 2012-01-24 14:09:08 UTC
culot       2012-01-24 14:08:53 UTC

  FreeBSD ports repository

  Modified files:
    www/node             Makefile distinfo pkg-plist 
  Log:
  - Update to 0.6.8 [1]
  - Use WITHOUT_FBSD10_FIX to prevent a non autotools-related configure script to
    be patched and an unwanted configure.fbsd10bak file to remain after deinstall
  
  PR:             ports/164326 [1]
  Submitted by:   Jin-Sih Lin <linpct@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.41      +2 -1      ports/www/node/Makefile
  1.31      +2 -2      ports/www/node/distinfo
  1.14      +4 -3      ports/www/node/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Frederic Culot freebsd_committer 2012-01-24 14:10:18 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!